Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.jsp
Class CollectionTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.exist.jsp.CollectionTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class CollectionTag
extends javax.servlet.jsp.tagext.TagSupport

Author:
  Wolfgang Meier (wolfgang@exist-db.org)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DRIVER`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CollectionTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`Collection` | `getCollection()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUri()`
`java.lang.String` | `getUser()`
`java.lang.String` | `getVar()`
`void` | `setPassword(java.lang.String password)`
`void` | `setUri(java.lang.String uri)`
`void` | `setUser(java.lang.String user)`
`void` | `setVar(java.lang.String var)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRIVER

    public static final java.lang.String DRIVER

See Also:
  Constant Field Values

Constructor Detail

### CollectionTag

    public CollectionTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getCollection

    public Collection getCollection()

### setVar

    public void setVar(java.lang.String var)

### getVar

    public java.lang.String getVar()

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getUri

    public java.lang.String getUri()

  Returns:
    Returns the uri.

### setUri

    public void setUri(java.lang.String uri)

  Parameters:
    `uri` - The uri to set.

### getUser

    public java.lang.String getUser()

  Returns:
    Returns the user.

### setUser

    public void setUser(java.lang.String user)

  Parameters:
    `user` - The user to set.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.